## org.omg.GIOP
Class TargetAddressHelper

    java.lang.Object
      |
      +--org.omg.GIOP.TargetAddressHelper

public class TargetAddressHelper
extends java.lang.Object

Helper class for : TargetAddress

Author:
  OpenORB Compiler

Constructor Summary
`TargetAddressHelper()`

Method Summary
`static TargetAddress` `extract(Any a)` Extract TargetAddress from an any
`static java.lang.String` `id()` Return the TargetAddress IDL ID
`static void` `insert(Any a, TargetAddress t)` Insert TargetAddress into an any
`static TargetAddress` `read(InputStream istream)` Read TargetAddress from a marshalled stream
`static TypeCode` `type()` Return the TargetAddress TypeCode
`static void` `write(OutputStream ostream, TargetAddress value)` Write TargetAddress into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetAddressHelper

    public TargetAddressHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TargetAddress t)

  Insert TargetAddress into an any
  Parameters:
    `a` - an any
    `t` - TargetAddress value

### extract

    public static TargetAddress extract(Any a)

  Extract TargetAddress from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TargetAddress value

### type

    public static TypeCode type()

  Return the TargetAddress TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TargetAddress IDL ID
  Returns:
    an ID

### read

    public static TargetAddress read(InputStream istream)

  Read TargetAddress from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TargetAddress value

### write

    public static void write(OutputStream ostream,
                             TargetAddress value)

  Write TargetAddress into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TargetAddress value